net.corda.flows

## Class CashFlowCommand.PayCash

- CashFlowCommand
- - net.corda.flows.CashFlowCommand.PayCash

- Enclosing class:
    CashFlowCommand

      public static class CashFlowCommand.PayCash
      extends CashFlowCommand

  Pay cash to someone else.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.CashFlowCommand

      `CashFlowCommand.ExitCash, CashFlowCommand.IssueCash, CashFlowCommand.PayCash`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PayCash(Amount<net.corda.core.contracts.Issued> amount, Party recipient)` Pay cash to someone else.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Amount<net.corda.core.contracts.Issued>` | `getAmount()`
    `Party` | `getRecipient()`
    `FlowHandle<net.corda.core.transactions.SignedTransaction>` | `startFlow(CordaRPCOps proxy)`

    - ### Methods inherited from class net.corda.flows.CashFlowCommand

      `startFlow`

- - ### Constructor Detail

    - #### PayCash

          public PayCash(Amount<net.corda.core.contracts.Issued> amount,
                         Party recipient)

      Pay cash to someone else.

      Parameters:
        `amount` - the amount of currency to issue on to the ledger.
        `recipient` - the party to issue the cash to.

  - ### Method Detail

    - #### startFlow

          public FlowHandle<net.corda.core.transactions.SignedTransaction> startFlow(CordaRPCOps proxy)

    - #### getAmount

          public Amount<net.corda.core.contracts.Issued> getAmount()

    - #### getRecipient

          public Party getRecipient()